#!/usr/bin/env python
# -*-coding:utf-8 -*-
"""
@File    :   __init__.py
@Time    :   2024/06/07 14:06:26
@Author  :   Alejandro Marrero
@Version :   1.0
@Contact :   amarrerd@ull.edu.es
@License :   (C)Copyright 2024, Alejandro Marrero
@Desc    :   None
"""

from typing import TypeVar

from digneapy.core.domain import Domain
from digneapy.core.instance import Instance
from digneapy.core.problem import Problem
from digneapy.core.solution import Solution
from digneapy.core.solver import Solver

IndType = TypeVar("IndType", Instance, Solution)

__all__ = ["Domain", "Instance", "Problem", "Solution", "Solver", "IndType"]
